Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77801 - e100 driver will not compile into kernel
Summary: e100 driver will not compile into kernel
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-13 20:44 UTC by Dario Landazuri
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:11 UTC


Attachments (Terms of Use)

Description Dario Landazuri 2002-11-13 20:44:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20021017

Description of problem:
The e100 driver in the latest errata kernel (2.4.18-17.7.x) will not compile
statically into the kernel.  It can be compiled as a module, though.  However,
this doesn't work if you want to do a netboot, for example, and don't want to
use the eepro100 driver.  This is similar to bug #76026

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. configure your kernel (menu, x, whatever), and select to build the e100
driver as a static part of the kernel, not a module
2. Do the typical make clean dep bzImage
	

Actual Results:  Linking errors when trying to compile in the e100 driver.

ld -m elf_i386  -r -o net.o e100/e100.o Space.o setup.o net_init.o loopback.o
auto_irq.o
ld: cannot open e100/e100.o: No such file or directory
make[3]: *** [net.o] Error 1
make[3]: Leaving directory `/usr/src/linux-2.4.18-17.7.x/drivers/net'
make[2]: *** [first_rule] Error 2
make[2]: Leaving directory `/usr/src/linux-2.4.18-17.7.x/drivers/net'
make[1]: *** [_subdir_net] Error 2
make[1]: Leaving directory `/usr/src/linux-2.4.18-17.7.x/drivers'
make: *** [_dir_drivers] Error 2




Expected Results:  The driver would have compiled in cleanly.

Additional info:

I have kinda hacked together a patch for the Makefile in
/usr/src/linux-2.4.18-17.7.x/drivers/net/e100.  I'll attach it after I submit
the bug.  I would appreciate feedback on it, as I don't know if it's just an
ugly hack, or what.  It just worked.

Thanks.

Comment 1 Dario Landazuri 2002-11-13 20:47:36 UTC
The patch I was referring to is below:

--- Makefile.orig       Tue Nov 12 15:11:10 2002
+++ Makefile    Tue Nov 12 16:07:02 2002
@@ -2,13 +2,11 @@
 # Makefile for the Intel's E100 ethernet driver
 #
 
-obj-$(CONFIG_NET_E100) += e100.o
+O_TARGET := e100.o
 
-e100-objs := e100_main.o e100_config.o e100_proc.o e100_phy.o \
-            e100_eeprom.o e100_test.o
+obj-y := e100_main.o e100_config.o e100_proc.o e100_phy.o \
+         e100_eeprom.o e100_test.o
+obj-m := $(O_TARGET)
 
 include $(TOPDIR)/Rules.make
 
-e100.o: $(e100-objs)
-       $(LD) -r -o $@ $(e100-objs)
-


Comment 2 Bugzilla owner 2004-09-30 15:40:11 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.